"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isEqualObject = void 0;
const getKeys_js_1 = require("./getKeys.js");
const isEqualUnknown_js_1 = require("./isEqualUnknown.js");
function isEqualObject(value, valueStack, other, otherStack, options, type) {
    const keys = (0, getKeys_js_1.getKeys)(value, type, options);
    const otherKeys = (0, getKeys_js_1.getKeys)(other, type, options);
    if (keys.length !== otherKeys.length) {
        return false;
    }
    for (let i = 0; i < keys.length; i++) {
        if (keys[i] !== otherKeys[i]) {
            return false;
        }
    }
    valueStack.push(value);
    otherStack.push(other);
    let result = true;
    for (let i = 0; i < keys.length; i++) {
        if (!(0, isEqualUnknown_js_1.isEqualUnknown)(
        // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
        value[keys[i]], valueStack, 
        // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
        other[otherKeys[i]], otherStack, options)) {
            result = false;
            break;
        }
    }
    valueStack.pop();
    otherStack.pop();
    return result;
}
exports.isEqualObject = isEqualObject;
//# sourceMappingURL=isEqualObject.js.map