"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.property = void 0;
const expect_js_1 = require("../../expect.js");
const index_js_1 = require("../../isEqual/index.js");
(0, expect_js_1.registerMatcher)('property', property);
function property(key, expected) {
    const hasValue = arguments.length >= 2;
    return (value) => {
        if (typeof value !== 'object' || value === null) {
            return false;
        }
        if (!Reflect.has(value, key)) {
            return false;
        }
        return !hasValue || (0, index_js_1.isEqual)(Reflect.get(value, key), expected);
    };
}
exports.property = property;
//# sourceMappingURL=property.js.map