import { Control } from '../../Control.js';
declare module '../../expect.js' {
    interface Validators<T> {
        /**
         * Asserts that a value is nullish, meaning it is either `null` or
         * `undefined`.
         *
         * If you want to match a nested value, use the matcher `expect.nullish()`
         * or `expect.notNullish()` instead.
         *
         * @example
         * ```ts
         * expect(null).toBeNullish()
         * expect(undefined).toBeNullish()
         *
         * expect('foo').not.toBeNullish()
         * expect({ x: 1 }).not.toBeNullish()
         * ```
         */
        toBeNullish(): void;
    }
}
export declare function toBeNullish(control: Control): void;
//# sourceMappingURL=toBeNullish.d.ts.map