import { Control } from '../../Control.js';
import { MockFunction } from '../../mocks/index.js';
declare module '../../expect.js' {
    interface Validators<T> {
        /**
         * Asserts that the mock function has been called at least once.
         *
         * @example
         * ```ts
         * import { expect, mockFn } from 'earl'
         *
         * const fn1 = mockFn().returns(42)
         * fn1()
         * expect(fn1).toHaveBeenCalled()
         *
         * const fn2 = mockFn().returns(42)
         * expect(fn2).not.toHaveBeenCalled()
         * ```
         */
        toHaveBeenCalled(this: Validators<MockFunction<any[], any>>): void;
    }
}
export declare function toHaveBeenCalled(control: Control): void;
//# sourceMappingURL=toHaveBeenCalled.d.ts.map