"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toHaveBeenLastCalledWith = void 0;
const expect_js_1 = require("../../expect.js");
const utils_js_1 = require("./utils.js");
(0, expect_js_1.registerValidator)('toHaveBeenLastCalledWith', toHaveBeenLastCalledWith);
function toHaveBeenLastCalledWith(control, ...expected) {
    (0, utils_js_1.assertIsMock)(control);
    const lastCall = control.actual.calls.at(-1);
    if (lastCall === undefined) {
        return control.assert({
            success: false,
            reason: `The mock function was never called, but it was expected to have been called at least once.`,
            negatedReason: '',
        });
    }
    (0, utils_js_1.compareArgs)(control, lastCall.args, expected);
}
exports.toHaveBeenLastCalledWith = toHaveBeenLastCalledWith;
//# sourceMappingURL=toHaveBeenLastCalledWith.js.map