import { Control } from '../../Control.js';
declare module '../../expect.js' {
    interface Validators<T> {
        /**
         * Asserts that a string, array, sets or map is empty.
         *
         * If you want to match a nested value, use the matcher `expect.empty()`
         * instead.
         *
         * @example
         * ```ts
         * expect([]).toBeEmpty()
         * expect(new Map()).toBeEmpty()
         *
         * expect('foo').not.toBeEmpty()
         * expect(new Set([1, 2, 3])).not.toBeEmpty()
         * ```
         */
        toBeEmpty(this: Validators<string | any[] | Set<any> | Map<any, any>>): void;
    }
}
export declare function toBeEmpty(control: Control): void;
//# sourceMappingURL=toBeEmpty.d.ts.map