"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toEqual = void 0;
const expect_js_1 = require("../../expect.js");
const index_js_1 = require("../../format/index.js");
const index_js_2 = require("../../isEqual/index.js");
(0, expect_js_1.registerValidator)('toEqual', toEqual);
function toEqual(control, expected) {
    const actualInline = () => (0, index_js_1.formatCompact)(control.actual);
    const expectedInline = () => (0, index_js_1.formatCompact)(expected);
    control.assert({
        success: (0, index_js_2.isEqual)(control.actual, expected),
        reason: () => `The value ${actualInline()} is not equal to ${expectedInline()}, but it was expected to be equal.`,
        negatedReason: () => `The value ${actualInline()} is equal to ${expectedInline()}, but it was expected not to be equal.`,
        actual: control.actual,
        expected,
    });
}
exports.toEqual = toEqual;
//# sourceMappingURL=toEqual.js.map