import { formatString } from './formatString.js';
export function getRepresentation(value, type, options) {
    if (type === 'Boolean') {
        return value.toString();
    }
    else if (type === 'Number') {
        return value.toString();
    }
    else if (type === 'String') {
        return formatString(value.toString(), options);
    }
    else if (type === 'RegExp') {
        return value.toString();
    }
    else if (type === 'Date') {
        const iso = value.toISOString();
        if (iso.endsWith('T00:00:00.000Z')) {
            return iso.slice(0, -14);
        }
        else if (iso.endsWith('.000Z')) {
            return iso.slice(0, -5) + 'Z';
        }
        else {
            return iso;
        }
    }
}
//# sourceMappingURL=getRepresentation.js.map