import { registerMatcher } from '../../expect.js';
registerMatcher('a', a, (type) => `a(${type.name})`);
export function a(type) {
    return (value) => {
        if (type === String) {
            return typeof value === 'string';
        }
        else if (type === Number) {
            return typeof value === 'number' && !isNaN(value);
        }
        else if (type === Boolean) {
            return typeof value === 'boolean';
        }
        else if (type === BigInt) {
            return typeof value === 'bigint';
        }
        else if (type === Function) {
            return typeof value === 'function';
        }
        else if (type === Object) {
            return typeof value === 'object' && value !== null;
        }
        else if (type === Symbol) {
            return typeof value === 'symbol';
        }
        else if (type === Array) {
            return Array.isArray(value);
        }
        else {
            return value instanceof type;
        }
    };
}
//# sourceMappingURL=a.js.map