declare module '../../expect.js' {
    interface Matchers {
        /**
         * Matches any value.
         *
         * Using this matcher is recommended when you want to ensure that a key is
         * present on an object, but you don't care about its value.
         *
         * @example
         * ```ts
         * const person = findPerson('John Doe')
         * expect(person).toEqual({
         *   name: 'John Doe',
         *   favoriteThing: expect.anything(),
         * })
         * ```
         */
        anything(): never;
    }
}
export declare function anything(): () => boolean;
//# sourceMappingURL=anything.d.ts.map