declare module '../../expect.js' {
    interface Matchers {
        /**
         * Matches `null` and `undefined`.
         *
         * If you want to match a top level value, use `expect(...).toBeNullish()`
         * instead.
         *
         * @example
         * ```ts
         * const result = await flight.getPassenger('17A')
         * expect(result).toEqual({
         *   name: 'John Doe',
         *   seat: '17A',
         *   insurancePolicy: expect.nullish(),
         * })
         * ```
         */
        nullish(): never;
    }
}
export declare function nullish(): (value: unknown) => boolean;
//# sourceMappingURL=nullish.d.ts.map