declare module '../../expect.js' {
    interface Matchers {
        /**
         * Matches empty strings, arrays, sets and maps.
         *
         * If you want to match a top level value, use `expect(...).toBeEmpty()`
         * instead.
         *
         * @example
         * ```ts
         * const sadGuy = await people.findWhere({ friendCount: 0 })
         * expect(sadGuy).toEqual({
         *   name: 'John Doe',
         *   friends: expect.empty(),
         * })
         * ```
         */
        empty(): never;
    }
}
export declare function empty(): (value: unknown) => boolean;
//# sourceMappingURL=empty.d.ts.map