import { registerMatcher } from '../../expect.js';
import { isEqual } from '../../isEqual/index.js';
registerMatcher('property', property);
export function property(key, expected) {
    const hasValue = arguments.length >= 2;
    return (value) => {
        if (typeof value !== 'object' || value === null) {
            return false;
        }
        if (!Reflect.has(value, key)) {
            return false;
        }
        return !hasValue || isEqual(Reflect.get(value, key), expected);
    };
}
//# sourceMappingURL=property.js.map